# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "rweb"
version = "0.6.0"
authors = ["강동윤 <kdy1997.dev@gmail.com>"]
autoexamples = true
autotests = true
description = "Yet another web server framework for rust"
keywords = ["rweb", "server", "http", "hyper"]
license = "Apache-2.0"
repository = "https://github.com/kdy1/rweb.git"
[package.metadata.docs.rs]
all-features = true

[[example]]
name = "openapi"
required-features = ["openapi"]

[[example]]
name = "todo_websockets"
required-features = ["websocket"]
[dependencies.futures]
version = "0.3"

[dependencies.http]
version = "0.2"

[dependencies.indexmap]
version = "1"

[dependencies.rweb-macros]
version = "0.5.0"

[dependencies.rweb-openapi]
version = "0.5.0"
optional = true

[dependencies.scoped-tls]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1.2"
features = ["macros", "rt-multi-thread"]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.warp]
version = "0.3.0"
[dev-dependencies.bytes]
version = "1.0"

[dev-dependencies.http]
version = "0.2"

[dev-dependencies.hyper]
version = "0.14"

[dev-dependencies.log]
version = "0.4"

[dev-dependencies.pretty_env_logger]
version = "0.4"

[dev-dependencies.serde_yaml]
version = "0.8"

[features]
default = ["multipart", "websocket"]
multipart = ["warp/multipart"]
openapi = ["rweb-macros/openapi", "rweb-openapi"]
tls = ["warp/tls"]
websocket = ["warp/websocket"]
